> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Deploy a model

> Deploy a model to Seldon or Ray.



## OpenAPI

````yaml /api-reference/5.9/fusion-api-ml-model-service.json post /ai/ml-models
openapi: 3.0.1
info:
  title: Machine Learning Model Service API
  description: >-
    Use these APIs to deploy machine learning (ML) models and generate
    predictions. Fusion's Machine Learning (ML) Model service stores deployed
    models and runs prediction jobs.
  version: '5.9'
  contact:
    name: Lucidworks Support
    url: https://lucidworks.com/support/
servers:
  - url: https://{FUSION HOST}/api
    description: Fusion
    variables:
      FUSION HOST:
        default: FUSION_HOST
        description: Your environment host.
  - url: https://{FUSION HOST}/api/apps/{APP_NAME}
    description: Fusion app
    variables:
      FUSION HOST:
        default: FUSION_HOST
        description: Your environment host.
      APP_NAME:
        default: APP_NAME
        description: The name of your Fusion application.
security: []
tags:
  - name: Model Service API
    description: Use this API to deploy ML models and generate predictions.
  - name: Serialized Model API
    description: >-
      The Serialized Model API is for fetching, updating, or deleting deployed
      models.
paths:
  /ai/ml-models:
    post:
      tags:
        - Serialized Model API
      summary: Deploy a model
      description: Deploy a model to Seldon or Ray.
      operationId: postSerializedModel
      parameters:
        - name: modelId
          in: query
          required: true
          schema:
            type: string
          example: opennlp
        - name: type
          in: query
          required: true
          schema:
            type: string
            enum:
              - seldon
              - ray
          example: ray
      requestBody:
        content:
          application/json:
            schema:
              required:
                - file
              type: object
              properties:
                file:
                  type: string
                  format: binary
      responses:
        '200':
          description: OK
          content: {}

````